gsl::CFMinimizer::Problem Class Referenceabstract

`#include <mia/core/gsl_multimin.hh>`

## Public Member Functions

| operator gsl_multimin_function * ()
| Problem (size_t n_params)
size_t | size () const

## Static Public Member Functions

static double | f (const gsl_vector *x, void *params)

## Detailed Description

This is the base class for all optimization problems that don't provide gradient information for optimization.

Definition at line 125 of file gsl_multimin.hh.

## Constructor & Destructor Documentation

## Problem()

gsl::CFMinimizer::Problem::Problem | ( | size_t | n_params | ) |

Initialize the optimization problem with the given number of parameters

## Member Function Documentation

## f()

double gsl::CFMinimizer::Problem::f | ( | const gsl_vector * | x,
|  | void * | params )

static

Callback to evaluate the value of the optimization criterion To derive a CFMinimizer::Problem, the do_f methods has to be implemented accordingly.

Remarks
  actually this function should be private and only visible CFMinimizer

## operator gsl_multimin_function *()

gsl::CFMinimizer::Problem::operator gsl_multimin_function * | ( |  | ) |

## size()

size_t gsl::CFMinimizer::Problem::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- gsl_multimin.hh